<div class="card" [ngClass]="cardClass" [@cardRemove]="cardRemove" #toAnimate animates animatesInitMode="show"
  [animatesOnInit]="{useVisibility: false, disabled: true}">
  <div class="card-header" *ngIf="!hidHeader" [ngClass]="headerClass">
    <div class="card-accordion" [ngStyle]="{'cursor': collapsible?'pointer':''}" (click)="collapsedCardToggle($event)">
    </div>
    <h5 *ngIf="!customHeader" [ngStyle]="{'cursor': collapsible?'pointer':''}" (click)="collapsedCardToggle($event)">
      {{ cardTitle }}</h5>
    <!-- <div class="card-header-right" *ngIf="this.options && !customHeader">
      <div class="btn-group card-option dropdown" ngbDropdown>
        <button type="button" class="btn dropdown-toggle btn-icon" ngbDropdownToggle>
          <i class="feather icon-more-vertical"></i>
        </button>
        <ul class="list-unstyled card-option dropdown-menu dropdown-menu-right" ngbDropdownMenu>
          <li class="dropdown-item full-card" (click)="fullCardToggle(toAnimate, '', true)"><a
              href="javascript:"><span><i class="feather" [ngClass]="fullIcon"></i>
                {{this.cardClass === 'full-card' ? 'Restore' : 'Maximize'}}</span></a></li>
          <li class="dropdown-item minimize-card" (click)="collapsedCardToggle($event)"><a href="javascript:"><span><i
                  class="feather" [ngClass]="collapsedIcon"></i>
                {{this.collapsedCard === 'collapsed' ? 'Expand' : 'Collapse'}} </span>
              <span style="display:none"><i class="feather icon-plus"></i></span></a></li>
          <li class="dropdown-item reload-card" (click)="cardRefresh($event)"><a href="javascript:"><i
                class="feather icon-refresh-cw"></i> Reload</a></li>
          <li class="dropdown-item close-card" (click)="cardRemoveAction()"><a href="javascript:"><i
                class="feather icon-trash"></i> Remove</a></li>
        </ul>
      </div>
    </div> -->
    <div class="card-header-right list-unstyled card-options" *ngIf="this.options && !customHeader">
      <ul class="list-unstyled ">
        <li *ngIf="showRefresh" class="reload-card" (click)="cardRefresh($event)" [placement]="'bottom'"
          ngbTooltip="Refresh"><a href="javascript:"><i class="feather icon-refresh-cw"></i></a></li>
        <li *ngIf="showDelete" class="close-card" (click)="cardRemoveAction($event)" [placement]="'bottom'"
          ngbTooltip="Delete"><a href="javascript:"><i class="feather icon-trash"></i></a>
        </li>
        <li *ngIf="maximizable" class="full-card" (click)="fullCardToggle(toAnimate, '', true)"><a
            href="javascript:"><span><i class="feather" [ngClass]="fullIcon"></i></span></a></li>
        <li *ngIf="collapsible" class="minimize-card" (click)="collapsedCardToggle($event)"><a
            href="javascript:"><span><i class="feather" [ngClass]="collapsedIcon"></i></span>
            <span style="display:none"><i class="feather icon-chevron-down"></i></span></a></li>
      </ul>
    </div>
    <div *ngIf="!customHeader" class="card-right-options">
      <ng-content select=".rightOptions"></ng-content>
    </div>
    <div *ngIf="!customHeader" class="card-left-options">
      <ng-content select=".leftOptions"></ng-content>
    </div>
    <ng-content *ngIf="customHeader" select=".app-card-header"></ng-content>
  </div>
  <div [@collapsedCard]="collapsedCard">
    <div class="card-block" [ngClass]="blockClass">
      <ng-content></ng-content>
    </div>
  </div>
  <div class="card-loader" *ngIf="loadCard"><i class="pct-loader1 anim-rotate"></i></div>
</div>

<!--
  <div class="card" [ngClass]="cardClass" [@cardRemove]="cardRemove" #toAnimate animates animatesInitMode="show" [animatesOnInit]="{useVisibility: false, disabled: true}">
  <div class="card-header" *ngIf="!hidHeader" [ngClass]="headerClass">
    <h5 *ngIf="!customHeader">{{ cardTitle }}</h5>
    <div class="card-header-right" *ngIf="this.options && !customHeader">
      <div class="btn-group card-option dropdown" ngbDropdown>
        <button type="button" class="btn dropdown-toggle btn-icon" ngbDropdownToggle>
          <i class="feather icon-more-horizontal"></i>
        </button>
        <ul class="list-unstyled card-option dropdown-menu dropdown-menu-right" ngbDropdownMenu>
          <li class="dropdown-item full-card" (click)="fullCardToggle(toAnimate, '', true)"><a href="javascript:"><span><i class="feather" [ngClass]="fullIcon"></i> {{this.cardClass === 'full-card' ? 'Restore' : 'Maximize'}}</span></a></li>
          <li class="dropdown-item minimize-card" (click)="collapsedCardToggle($event)"><a href="javascript:"><span><i class="feather" [ngClass]="collapsedIcon"></i> {{this.collapsedCard === 'collapsed' ? 'Expand' : 'Collapse'}} </span>
            <span style="display:none"><i class="feather icon-plus"></i></span></a></li>
          <li class="dropdown-item reload-card" (click)="cardRefresh($event)"><a href="javascript:"><i class="feather icon-refresh-cw"></i> Reload</a></li>
          <li class="dropdown-item close-card" (click)="cardRemoveAction()"><a href="javascript:"><i class="feather icon-trash"></i> Remove</a></li>
        </ul>
      </div>
    </div>
    <ng-content *ngIf="customHeader" select=".app-card-header"></ng-content>
  </div>
  <div [@collapsedCard]="collapsedCard">
    <div class="card-block" [ngClass]="blockClass">
      <ng-content></ng-content>
    </div>
  </div>
  <div class="card-loader" *ngIf="loadCard"><i class="pct-loader1 anim-rotate"></i></div>
</div>
-->
